Package org.apache.batchee.container.proxy

## Class ProxyFactory

- java.lang.Object
- - org.apache.batchee.container.proxy.ProxyFactory

-     public class ProxyFactory
      extends Object

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static javax.batch.api.Batchlet` | `createBatchletProxy​(BatchArtifactFactory factory, String id, InjectionReferences injectionRefs, RuntimeJobExecution execution)` |
    `static CheckpointAlgorithmProxy` | `createCheckpointAlgorithmProxy​(BatchArtifactFactory factory, String id, InjectionReferences injectionRefs, RuntimeJobExecution execution)` |
    `static javax.batch.api.Decider` | `createDeciderProxy​(BatchArtifactFactory factory, String id, InjectionReferences injectionRefs, RuntimeJobExecution execution)` |
    `static javax.batch.api.chunk.ItemProcessor` | `createItemProcessorProxy​(BatchArtifactFactory factory, String id, InjectionReferences injectionRefs, RuntimeJobExecution execution)` |
    `static javax.batch.api.chunk.ItemReader` | `createItemReaderProxy​(BatchArtifactFactory factory, String id, InjectionReferences injectionRefs, RuntimeJobExecution execution)` |
    `static javax.batch.api.chunk.ItemWriter` | `createItemWriterProxy​(BatchArtifactFactory factory, String id, InjectionReferences injectionRefs, RuntimeJobExecution execution)` |
    `static javax.batch.api.partition.PartitionAnalyzer` | `createPartitionAnalyzerProxy​(BatchArtifactFactory factory, String id, InjectionReferences injectionRefs, RuntimeJobExecution execution)` |
    `static javax.batch.api.partition.PartitionCollector` | `createPartitionCollectorProxy​(BatchArtifactFactory factory, String id, InjectionReferences injectionRefs, RuntimeJobExecution execution)` |
    `static javax.batch.api.partition.PartitionMapper` | `createPartitionMapperProxy​(BatchArtifactFactory factory, String id, InjectionReferences injectionRefs, RuntimeJobExecution execution)` |
    `static javax.batch.api.partition.PartitionReducer` | `createPartitionReducerProxy​(BatchArtifactFactory factory, String id, InjectionReferences injectionRefs, RuntimeJobExecution execution)` |
    `static <T> T` | `createProxy​(T delegate, InjectionReferences injectionRefs, String... nonExceptionHandlingMethods)` |
    `static InjectionReferences` | `getInjectionReferences()` |
    `protected static Object` | `loadArtifact​(BatchArtifactFactory factory, String id, InjectionReferences injectionReferences, RuntimeJobExecution execution)` |
    `static InjectionReferences` | `setInjectionReferences​(InjectionReferences injectionReferences)` | set the InjectionReferences into the ThreadLocal and return the previously stored value

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### loadArtifact

          protected static Object loadArtifact​(BatchArtifactFactory factory,
                                               String id,
                                               InjectionReferences injectionReferences,
                                               RuntimeJobExecution execution)

    - #### getInjectionReferences

          public static InjectionReferences getInjectionReferences()

    - #### setInjectionReferences

          public static InjectionReferences setInjectionReferences​(InjectionReferences injectionReferences)

      set the InjectionReferences into the ThreadLocal and return the previously stored value

    - #### createProxy

          public static <T> T createProxy​(T delegate,
                                          InjectionReferences injectionRefs,
                                          String... nonExceptionHandlingMethods)

    - #### createDeciderProxy

          public static javax.batch.api.Decider createDeciderProxy​(BatchArtifactFactory factory,
                                                                   String id,
                                                                   InjectionReferences injectionRefs,
                                                                   RuntimeJobExecution execution)

    - #### createBatchletProxy

          public static javax.batch.api.Batchlet createBatchletProxy​(BatchArtifactFactory factory,
                                                                     String id,
                                                                     InjectionReferences injectionRefs,
                                                                     RuntimeJobExecution execution)

    - #### createCheckpointAlgorithmProxy

          public static CheckpointAlgorithmProxy createCheckpointAlgorithmProxy​(BatchArtifactFactory factory,
                                                                                String id,
                                                                                InjectionReferences injectionRefs,
                                                                                RuntimeJobExecution execution)

    - #### createItemReaderProxy

          public static javax.batch.api.chunk.ItemReader createItemReaderProxy​(BatchArtifactFactory factory,
                                                                               String id,
                                                                               InjectionReferences injectionRefs,
                                                                               RuntimeJobExecution execution)

    - #### createItemProcessorProxy

          public static javax.batch.api.chunk.ItemProcessor createItemProcessorProxy​(BatchArtifactFactory factory,
                                                                                     String id,
                                                                                     InjectionReferences injectionRefs,
                                                                                     RuntimeJobExecution execution)

    - #### createItemWriterProxy

          public static javax.batch.api.chunk.ItemWriter createItemWriterProxy​(BatchArtifactFactory factory,
                                                                               String id,
                                                                               InjectionReferences injectionRefs,
                                                                               RuntimeJobExecution execution)

    - #### createPartitionReducerProxy

          public static javax.batch.api.partition.PartitionReducer createPartitionReducerProxy​(BatchArtifactFactory factory,
                                                                                               String id,
                                                                                               InjectionReferences injectionRefs,
                                                                                               RuntimeJobExecution execution)

    - #### createPartitionMapperProxy

          public static javax.batch.api.partition.PartitionMapper createPartitionMapperProxy​(BatchArtifactFactory factory,
                                                                                             String id,
                                                                                             InjectionReferences injectionRefs,
                                                                                             RuntimeJobExecution execution)

    - #### createPartitionAnalyzerProxy

          public static javax.batch.api.partition.PartitionAnalyzer createPartitionAnalyzerProxy​(BatchArtifactFactory factory,
                                                                                                 String id,
                                                                                                 InjectionReferences injectionRefs,
                                                                                                 RuntimeJobExecution execution)

    - #### createPartitionCollectorProxy

          public static javax.batch.api.partition.PartitionCollector createPartitionCollectorProxy​(BatchArtifactFactory factory,
                                                                                                   String id,
                                                                                                   InjectionReferences injectionRefs,
                                                                                                   RuntimeJobExecution execution)